Skip to content
BrainyShorts Docs
Esc
navigateopen⌘Jpreview

Get analytics

Returns an overview, or a single post when post_id is set.

GET/api/cli/analytics
Authorization
AuthorizationBearer token (ba_sk_...) · headerrequired

API key from /dashboard/api-keys. Keys expire after 365 days.

Query parameters
platformPlatform
Allowed:tiktokinstagramyoutubelinkedinx
account_idstring
post_idstring
start_datestring<date-time>
end_datestring<date-time>
limitinteger
default: 20
Responses
200

OK

object
400

Invalid platform or date

errorstringrequired
codestring
401

Missing, invalid, expired, or revoked API key

errorstringrequired
codestring
404

Post not found

errorstringrequired
codestring
Try it
Server
Authorization
Parameters
Request
curl -X GET "https://www.brainyshorts.com/api/cli/analytics" \
  -H "Authorization: Bearer YOUR_TOKEN"
Response
{}